#!/bin/sh

# check/add a new path to ld.so.conf
Add_ldso()
{
	local ldcnf=etc/ld.so.conf
	local newlib=

	if [ $# -eq 1 ]; then
		newlib=$1
	else
		# wrong params, abort silently
		return 1
	fi

	if [ -s $ldcnf ]; then
		if [ -z "`fgrep -x $newlib $ldcnf`" ]; then
			echo "$newlib" >> $ldcnf
		fi
	else
		echo "$newlib" >> $ldcnf
	fi
	chmod 644 $ldcnf
	return 0
}

# create symlinks to be usable even without calling 'ldconfig'
( cd lib ; ln -sf libc.so.4.7.5 libc.so.4 )
( cd lib ; ln -sf libm.so.4.6.27 libm.so.4 )
( cd lib ; ln -sf libcurses.so.0.1.2 libcurses.so.0 )
( cd usr/i486-linuxaout/lib ; ln -sf libdb.so.1.85.1 libdb.so.1 )

# add library path
Add_ldso /usr/i486-linuxaout/lib

